Mongo::__construct
Mongo::getSlave
Mongo
PHP Manual

# Mongo::getPoolSize

(PECL mongo >=1.2.0)

Mongo::getPoolSize — Get pool size for connection pools

### Description

public static int Mongo::getPoolSize ( void )
Warning

This feature has been DEPRECATED as of version 1.2.3. Relying on this feature is highly discouraged. Please use MongoPool::getSize() instead.

### Parameters

This function has no parameters.

### Return Values

Returns the current pool size.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### Examples

Example #1 Changing pool size

This returns the default pool size, sets a new pool size, then prints the new pool size and the pool debugging information. Note that changing the pool size only affects new connection pools, it does not change old ones.

`<?php
$connection = new Mongo("host1");
// pool size is -1
echo "pool size is: ".Mongo::getPoolSize()."\n";
echo "setting pool size to 200\n";
Mongo::setPoolSize(200);
// pool size is 200
echo "pool size is: ".Mongo::getPoolSize()."\n";
$conn2 = new Mongo("host2");
// remaining for host1 is -2
// remaining for host2 is 199
var_dump(Mongo::poolDebug());
?>`

### See Also

- Mongo::setPoolSize() - Set the size for future connection pools.
- Mongo::poolDebug() - Returns information about all connection pools.
- The connection documentation.

Mongo::__construct
Mongo::getSlave
Mongo
PHP Manual